# Method: locations.searchkeywords.impressions.monthly.list

- [HTTP request](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#body.ListSearchKeywordImpressionsMonthlyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#body.aspect)
- [MonthlyRange](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#MonthlyRange)
  - [JSON representation](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#MonthlyRange.SCHEMA_REPRESENTATION)
- [SearchKeywordCount](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#SearchKeywordCount)
  - [JSON representation](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#SearchKeywordCount.SCHEMA_REPRESENTATION)
- [InsightsValue](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#InsightsValue)
  - [JSON representation](https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#InsightsValue.SCHEMA_REPRESENTATION)

Returns the search keywords used to find a business in search or maps. Each search keyword is accompanied by impressions which are aggregated on a monthly basis.

Example request: `GET
https://businessprofileperformance.googleapis.com/v1/locations/12345/searchkeywords/impressions/monthly?monthlyRange.start_month.year=2022&monthlyRange.start_month.month=1&monthlyRange.end_month.year=2022&monthlyRange.end_month.month=3`

### HTTP request

`GET https://businessprofileperformance.googleapis.com/v1/{parent=locations/*}/searchkeywords/impressions/monthly`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The location for which the time series should be fetched. Format: locations/{locationId} where locationId is an unobfuscated listing id. |

### Query parameters

| Parameters ||
|---|---|
| `monthlyRange` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#MonthlyRange`)`` Required. The range in months to aggregate the search keywords impressions over. |
| `pageSize` | `integer` Optional. The number of results requested. The default page size is 100. Page size can be set to a maximum of 100. |
| `pageToken` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. A token indicating the next paginated result to be returned. A base64-encoded string. |

### Request body

The request body must be empty.

### Response body

Represents the response for monthly.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "searchKeywordsCounts": [ { object (`https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#SearchKeywordCount`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `searchKeywordsCounts[]` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#SearchKeywordCount`)`` Search terms which have been used to find a business. |
| `nextPageToken` | `string (https://developers.google.com/discovery/v1/type-format format)` A token indicating the last paginated result returned. This can be used by succeeding requests to get the next "page" of keywords. It will only be present when there are more results to be returned. A base64-encoded string. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## MonthlyRange

Time range indicating a month range (both inclusive).

| JSON representation |
|---|
| ``` { "startMonth": { object (`https://developers.google.com/my-business/reference/performance/rest/v1/Date`) }, "endMonth": { object (`https://developers.google.com/my-business/reference/performance/rest/v1/Date`) } } ``` |

| Fields ||
|---|---|
| `startMonth` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/Date`)`` Required. Inclusive - Only the year and months fields will be considered |
| `endMonth` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/Date`)`` Required. Inclusive - Only the year and months fields will be considered |

## SearchKeywordCount

Represents a single search keyword and its value.

| JSON representation |
|---|
| ``` { "searchKeyword": string, "insightsValue": { object (`https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#InsightsValue`) } } ``` |

| Fields ||
|---|---|
| `searchKeyword` | `string` The lower-cased string that the user entered. |
| `insightsValue` | ``object (`https://developers.google.com/my-business/reference/performance/rest/v1/locations.searchkeywords.impressions.monthly/list#InsightsValue`)`` One of either: 1) The sum of the number of unique users that used the keyword in a month, aggregated for each month requested. 2) A threshold that indicates that the actual value is below this threshold. |

## InsightsValue

Represents an insights value.

| JSON representation |
|---|
| ``` { // Union field `InsightsValue` can be only one of the following: "value": string, "threshold": string // End of list of possible types for union field `InsightsValue`. } ``` |

| Fields ||
|---|---|
| Union field `InsightsValue`. Represents that only one of the following proto fields must be present. `InsightsValue` can be only one of the following: ||
| `value` | `string (https://developers.google.com/discovery/v1/type-format format)` Represents the actual value. |
| `threshold` | `string (https://developers.google.com/discovery/v1/type-format format)` Represents the threshold below which the actual value falls. |